// MemTestLib Demonstration Project
// For the Phytec Development Board with XAC3 phyCORE module
// using the Raisonance XA C Compiler
// (C) Embedded Systems Academy 2000
// Version 1.00 Written by AA 7/31/00

// This program demonstrates the XA port of the Memory Test Library
// written by Michael Barr
//
// The library consists of four functions:
//
// extern datum memTestDataBus(volatile datum far * address);
//   - tests the data bus
// extern datum far *memTestAddressBus(volatile datum far * baseAddress, unsigned long nBytes);
//   - tests the address bus
// extern datum far *memTestDevice(volatile datum far * baseAddress, unsigned long nBytes);
//   - tests the memory device
// extern int memTest(void);
//   - performs all three tests in order and returns a pass or fail result
//
// define the constant _16BITDATABUS in the library source file and header file to test using
// a 16-bit data bus
// undefine the constant _16BITDATABUS in the library source file and header file to test
// using an 8-bit data bus

#include "memtestlib.h"

unsigned char far *LEDs = (unsigned char far *)0xFFFA0;

void main(void)
{
  *LEDs = 0x00;                               // turn leds off
  
  if (!memTest())
    *LEDs |= 0x10;                            // test passed: turn led d1 on
  else
    *LEDs |= 0x20;                            // test failed: turn led d2 on
  while(1);
}
 
